body {
  background-color: #EAF6FF;
  margin: 0;
  padding: 0;
  overflow-y: hidden;
  height: 100vh;
  max-height: 100vh;
}

main {
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
  margin: 0 auto;
  margin-top: 10px;
  width: fit-content;
}

@font-face {
  font-family: 'Caveat';
  src: url("/static/newyear/fonts/Caveat-Bold.ttf") format('truetype');
  font-weight: bold;
  font-style: normal;
}
@font-face {
  font-family: 'Rounded Mplus';
  src: url("/static/newyear/fonts/MPLUSRounded1c-Black.ttf") format('truetype');
  font-weight: 900;
  font-style: normal;
}

@font-face {
  font-family: 'Rounded Mplus Reg';
  src: url("/static/newyear/fonts/MPLUSRounded1c-Regular.ttf") format('truetype');
  font-weight: 400;
  font-style: normal;
}

.logo-head {
  width: 55vw;
  max-width: 900px;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}

.wish-tree img {
  width: auto;
  height: 60px;
}

.card-block {
  position: relative;
  height: 100%;
  width: 55vw;
  max-width: 900px;
}

.card-container {
  position: relative;
}

.gif-block {
  width: 100%;
  height: auto;
}

.gif-block img{
  width: 100%;
  max-height: 70vh;
  object-fit: cover;
  object-position: top center;
  overflow: hidden;
  border: 5px solid #FFFFFF;
  box-sizing: border-box;
  border-radius: 20px;
}

.descr-block {
  position: absolute;
  width: 100%;
  max-width: 90%;
  display: flex;
  left: 5%;
  transform: translateY(-65px);
  flex-direction: row;
  justify-content: center;
  align-items: center;
  background: linear-gradient(180deg, #FFFFFF 0%, #FFFFFF 60.94%, #EFF8FF 93.75%, #FFFFFF 100%), linear-gradient(0deg, #FFFFFF, #FFFFFF);
  border-radius: 20px;
  transition: all .8s cubic-bezier(0.92, -0.38, 0, 1.35);
}

.descriptor {
  padding: 22px;
}

.descr-row__up {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 12px;
}

.descriptor .descr-text{
  font-family: 'Caveat';
  font-size: 25px;
  line-height: 130%;
  /* letter-spacing: -0.03em; */
  color: #1B4E79;
  transform: matrix(1, 0, 0, 1, 0, 0);
}

.user-info {
  font-family: 'Rounded Mplus Reg';
  display: flex;
}

.user-name {
  background: #77BB2F;
  border-radius: 5px;
  font-size: 16px;
  line-height: 120%;
  padding: 9px 15px;
  margin-right: 12px;
  color: #FFFFFF;
}

.user-status {
  border: 1px solid #77BB2F;
  border-radius: 5px;
  font-size: 16px;
  line-height: 120%;
  padding: 8px 15px;
  color: #77BB2F;
}

.toggle-block {
  position: relative;
  display: flex;
  transition: all .3s ease;
  justify-content: center;
  align-items: center;
}

.toggle-block .open-block,
.toggle-block .close-block{
  cursor: pointer;
  position: absolute;
  width: 95px;
  right: 0;
  transition-property: opacity, border-bottom;
  transition-duration: 0.5s, 0.5s;
  transition-timing-function: ease;
  transition-delay: .3s, 0s;
  border-bottom: 1px solid #FFFFFF;
  height: 18px;
  font-family: 'Rounded Mplus Reg';
  font-size: 15px;
  text-align: center;
  color: #9FC437;
}

.toggle-block .open-block{
  opacity: 1;
  z-index: 2;
}

.toggle-block .close-block{
  opacity: 0;
}

.toggle-block .open-block:hover {
  border-bottom: 1px solid #9FC437;
}
.toggle-block .close-block:hover {
  border-bottom: 1px solid #9FC437;
}

.toggle-block.active .open-block {
  opacity: 0;
  z-index: 0;
}

.toggle-block.active .close-block {
  opacity: 1;
  z-index: 2;
}

.descr-block.active {
  transform: translateY(-95%);
}

.sharing-block {
  position: relative;
  width: 252px;
  height: 45px;
}

.sharing-links__list {
  position: relative;
  list-style: none;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.share-item {
  background: linear-gradient(180deg, #7EBA33 0%, #7DB933 68.75%, #73B026 91.15%, #7EB933 100%);
  border-radius: 25px;
  
}

.share-item:hover {
  background: linear-gradient(180deg, #75AD30 0%, #75AD30 68.75%, #6AA323 91.15%, #76AD30 100%);
  transition: .3s ;
}

.copy-url {
  cursor: pointer;
}

.tooltip {
  font-family: 'Rounded Mplus Reg';
  font-style: normal;
  font-weight: normal;
  font-size: 13px;
  line-height: 16px;
  text-align: center;
  font-feature-settings: 'tnum' on, 'lnum' on;
  color: #54585A;
  position: absolute;
  bottom: 45px;
  right: -5px;
  padding: 8px 12px;
  background: #FFFFFF;
  border-radius: 8px; 
  opacity: 0;
  transition: .3s;
  margin-bottom: 10px;
}

.tooltip.active {
  opacity: 1;
}

footer {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 28px 0;
  background-color: #EAF6FF;
  position: relative;
  z-index: 1;
  box-shadow: 0px -26px 35px 0px rgb(234 246 255);
}

@media screen and (max-width: 1919px){
  .toggle-block {
    display: flex;
  }
}


@media screen and (max-width: 1439px) {
  main {
    margin-top: 0;
  }

  .logo-head svg{
    width: 100px;
  }

  .card-block {
    margin-top: 0;
  }

  .descriptor .descr-text {
    font-size: 20px;
  }
  

}

@media screen and (max-width: 1199px) {
  .descr-block {
    transform: translateY(0px);
  }
  .descr-block.active {
    transform: translateY(-25%);
  }
  .toggle-block {
    display: none;
  }
}

@media screen and (width: 800px) and (height: 600px) {
  .descr-block.active {
    transform: translateY(-75%);
  }
}


@media screen and (max-width: 767px) {
  main {
    padding: 0 20px;
  }

  .descr-block.active {
    transform: translateY(-35%);
  }

  .logo-head{
    width: 100%;
  }
  
  .card-block {
    width: 100%;
  }

  .descr-block {
    max-width: 100%;
    left: 0;
  }

  .descr-share__block{
    position: static;
    margin-top: 15px;
  }

  
}

@media screen and (max-width: 375px) {
  .user-name,
  .user-status {
    font-size: 14px;
  }

  .user-name {
    padding: 8px 10px;
  }

  .descr-block.active {
    transform: translateY(-45%);
  }
}

@media screen and (max-width: 374px) {
  .user-info {
    flex-direction: column;
    justify-content: center;
  }

  .user-name {
    margin-right: 0;
    margin-bottom: 10px;
  }
}

.hide_then-height {
  display: none;
}

.noclick {
  pointer-events: none;
}